{% extends "base.html" %}
{% set active_page = "search" %}
{% block title %}Sci-Synergy Search{% endblock %}

{%block head%}
{{super()}}
{%endblock%}

{%block content%}
{{super()}}
    <main class="mdl-layout__content mdl-color--grey-100">
        <div class="mdl-grid demo-content mdl-grid--no-spacing mdl-cell--12-col">
            {% if action == 'query' %}
            <div class="mdl-cell mdl-card mdl-color--white mdl-shadow--2dp mdl-cell--12-col ">
                <form method="POST" action="#">
                    <div class="mdl-textfield mdl-js-textfield">
                        <input class="mdl-textfield__input" type="text" id="searchkey" name="searchkey" placeholder="Researcher's name" required>
                    </div>
                    <button class="mdl-button mdl-js-button mdl-button--raised">
                        <i class="material-icons">search</i>Search</button>
                </form>
            </div>                
            {% else %}
                {%if result is none%}
                    <p>Researcher not found: <bold>{{queryTerm}}</bold></p>
                {% else %}
                   <p>Researchers found ({{result|length }}):</p>
                    <ul>
                    {% for user in result %}
                        <li> <a href="profile/{{user.userid}}">{{user.name}}
                            {%if user.get_institution_name() != '' %}
                                ({{user.get_institution_name()}})
                            {%endif%}
                        </a>
                    {% endfor %}
                    </ul>
                {% endif %}
            {% endif %}
        </div>
    </main>
    <p><a onclick="javascript:history.back()">Back</a></p>
</div>
{% endblock %}